QGIS Application - Bug report #9434

DB Manager versioning: language "SQL" does not exist

2014-01-27 01:45 AM - Paolo Cavallini

Status: Closed
Priority: Normal
Assignee:

Category: DB Manager

Affected QGIS version:2.0.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18028

Description

Activating versioning in DB Manager throws an error:

language "SQL" does not exist

QGIS 2.0.1, on Debian and Windows, PostGIS 2.1.1

Associated revisions

Revision 5cd53dd2 - 2014-02-18 05:45 PM - Jiirgen Fischer

dbmanager versioning: use lower case 'sql' language (fixes #9434)

History

#1 - 2014-02-18 08:23 AM - Alexandre Neto

| found this discussion, that might help solving the problem.

http://www.gossamer-threads.com/lists/davical/general/3047

At least for postgres 9.2+

#2 - 2014-02-18 08:29 AM - Paolo Cavallini

- Tag set to easy

Confirmed, thanks.

#3 - 2014-02-18 08:45 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"5cd53dd28ef44db7802d6d7bfa38227792483686".
